summaryrefslogtreecommitdiff
path: root/tests/rm/r-2
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/r-2')
-rwxr-xr-xtests/rm/r-268
1 files changed, 68 insertions, 0 deletions
diff --git a/tests/rm/r-2 b/tests/rm/r-2
new file mode 100755
index 0000000..68e6187
--- /dev/null
+++ b/tests/rm/r-2
@@ -0,0 +1,68 @@
+#!/bin/sh
+# Test "rm -r --verbose".
+
+# Copyright (C) 1997, 1998, 2000, 2002, 2004, 2006 Free Software
+# Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ rm --version
+ set -x
+fi
+
+. $srcdir/../lang-default
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
+trap 'status=$?; cd "$pwd" && rm -rf $t0 || exit $?; exit $status' 0
+trap 'exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp
+
+mkdir t t/a t/a/b || framework_failure=1
+> t/a/f || framework_failure=1
+> t/a/b/g || framework_failure=1
+
+# FIXME: if this fails, it's a framework failure
+cat <<\EOF | sort > t/E || framework_failure=1
+removed directory: `t/a'
+removed directory: `t/a/b'
+removed `t/a/b/g'
+removed `t/a/f'
+EOF
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+# Note that both the expected output (above) and the actual output lines
+# are sorted, because directory entries may be processed in arbitrary order.
+fail=0
+rm --verbose -r t/a | sort > t/O || fail=1
+
+if test -d t/a; then
+ fail=1
+fi
+
+# Compare expected and actual output.
+cmp t/E t/O || fail=1
+test $fail = 1 && diff t/E t/O 2> /dev/null
+
+(exit $fail); exit $fail